diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-recovery-ops.h ns-3.44/src/internet/model/tcp-recovery-ops.h
--- ns-3.43/src/internet/model/tcp-recovery-ops.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-recovery-ops.h	2025-03-09 16:55:49.407371300 -0700
@@ -19,17 +19,17 @@
 class TcpSocketState;
 
 /**
- * \ingroup tcp
- * \defgroup recoveryOps Recovery Algorithms.
+ * @ingroup tcp
+ * @defgroup recoveryOps Recovery Algorithms.
  *
  * The various recovery algorithms used in recovery phase of TCP. The interface
  * is defined in class TcpRecoveryOps.
  */
 
 /**
- * \ingroup recoveryOps
+ * @ingroup recoveryOps
  *
- * \brief recovery abstract class
+ * @brief recovery abstract class
  *
  * The design is inspired by the TcpCongestionOps class in ns-3. The fast
  * recovery is split from the main socket code, and it is a pluggable
@@ -43,50 +43,50 @@
  *
  * Each condition is represented by a pure virtual method.
  *
- * \see TcpClassicRecovery
- * \see DoRecovery
+ * @see TcpClassicRecovery
+ * @see DoRecovery
  */
 class TcpRecoveryOps : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor
+     * @brief Constructor
      */
     TcpRecoveryOps();
 
     /**
-     * \brief Copy constructor.
-     * \param other object to copy.
+     * @brief Copy constructor.
+     * @param other object to copy.
      */
     TcpRecoveryOps(const TcpRecoveryOps& other);
 
     /**
-     * \brief Deconstructor
+     * @brief Deconstructor
      */
     ~TcpRecoveryOps() override;
 
     /**
-     * \brief Get the name of the recovery algorithm
+     * @brief Get the name of the recovery algorithm
      *
-     * \return A string identifying the name
+     * @return A string identifying the name
      */
     virtual std::string GetName() const = 0;
 
     /**
-     * \brief Performs variable initialization at the start of recovery
+     * @brief Performs variable initialization at the start of recovery
      *
      * The function is called when the TcpSocketState is changed to CA_RECOVERY.
      *
-     * \param tcb internal congestion state
-     * \param dupAckCount duplicate acknowledgement count
-     * \param unAckDataCount total bytes of data unacknowledged
-     * \param deliveredBytes bytes (S)ACKed in the last (S)ACK
+     * @param tcb internal congestion state
+     * @param dupAckCount duplicate acknowledgement count
+     * @param unAckDataCount total bytes of data unacknowledged
+     * @param deliveredBytes bytes (S)ACKed in the last (S)ACK
      */
     virtual void EnterRecovery(Ptr<TcpSocketState> tcb,
                                uint32_t dupAckCount,
@@ -94,48 +94,48 @@
                                uint32_t deliveredBytes) = 0;
 
     /**
-     * \brief Performs recovery based on the recovery algorithm
+     * @brief Performs recovery based on the recovery algorithm
      *
      * The function is called on arrival of every ack when TcpSocketState
      * is set to CA_RECOVERY. It performs the necessary cwnd changes
      * as per the recovery algorithm.
      * The param `isDupAck` has been added to align PRR implementation with RFC 6937 bis-08.
      *
-     * \param tcb internal congestion state
-     * \param deliveredBytes bytes (S)ACKed in the last (S)ACK
-     * \param isDupAck Indicates if the last acknowledgement was duplicate.
+     * @param tcb internal congestion state
+     * @param deliveredBytes bytes (S)ACKed in the last (S)ACK
+     * @param isDupAck Indicates if the last acknowledgement was duplicate.
      */
     virtual void DoRecovery(Ptr<TcpSocketState> tcb, uint32_t deliveredBytes, bool isDupAck) = 0;
 
     /**
-     * \brief Performs cwnd adjustments at the end of recovery
+     * @brief Performs cwnd adjustments at the end of recovery
      *
      * The function is called when the TcpSocketState is changed from CA_RECOVERY.
      *
-     * \param tcb internal congestion state
+     * @param tcb internal congestion state
      */
     virtual void ExitRecovery(Ptr<TcpSocketState> tcb) = 0;
 
     /**
-     * \brief Keeps track of bytes sent during recovery phase
+     * @brief Keeps track of bytes sent during recovery phase
      *
      * The function is called whenever a data packet is sent during recovery phase
      * (optional).
      *
-     * \param bytesSent bytes sent
+     * @param bytesSent bytes sent
      */
     virtual void UpdateBytesSent(uint32_t bytesSent);
 
     /**
-     * \brief Copy the recovery algorithm across socket
+     * @brief Copy the recovery algorithm across socket
      *
-     * \return a pointer of the copied object
+     * @return a pointer of the copied object
      */
     virtual Ptr<TcpRecoveryOps> Fork() = 0;
 };
 
 /**
- * \brief The Classic recovery implementation
+ * @brief The Classic recovery implementation
  *
  * Classic recovery refers to the two well-established recovery algorithms,
  * namely, NewReno (RFC 6582) and SACK based recovery (RFC 6675).
@@ -146,30 +146,30 @@
  * the highest sequence transmitted at time of detecting the loss is
  * ACKed by the receiver).
  *
- * \see DoRecovery
+ * @see DoRecovery
  */
 class TcpClassicRecovery : public TcpRecoveryOps
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor
+     * @brief Constructor
      */
     TcpClassicRecovery();
 
     /**
-     * \brief Copy constructor.
-     * \param recovery object to copy.
+     * @brief Copy constructor.
+     * @param recovery object to copy.
      */
     TcpClassicRecovery(const TcpClassicRecovery& recovery);
 
     /**
-     * \brief Constructor
+     * @brief Constructor
      */
     ~TcpClassicRecovery() override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-rx-buffer.h ns-3.44/src/internet/model/tcp-rx-buffer.h
--- ns-3.43/src/internet/model/tcp-rx-buffer.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-rx-buffer.h	2025-03-09 16:55:49.407371300 -0700
@@ -24,9 +24,9 @@
 class Packet;
 
 /**
- * \ingroup tcp
+ * @ingroup tcp
  *
- * \brief Rx reordering buffer for TCP
+ * @brief Rx reordering buffer for TCP
  *
  * The class is responsible to safely store the segments, and then
  * returning them in-order to the application, where "in-order" does not means
@@ -58,72 +58,72 @@
  * For more information about the SACK list, please check the documentation of
  * the method GetSackList.
  *
- * \see GetSackList
- * \see UpdateSackList
+ * @see GetSackList
+ * @see UpdateSackList
  */
 class TcpRxBuffer : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief Constructor
-     * \param n initial Sequence number to be received
+     * @brief Constructor
+     * @param n initial Sequence number to be received
      */
     TcpRxBuffer(uint32_t n = 0);
     ~TcpRxBuffer() override;
 
     // Accessors
     /**
-     * \brief Get Next Rx Sequence number
-     * \returns Next Rx Sequence number
+     * @brief Get Next Rx Sequence number
+     * @returns Next Rx Sequence number
      */
     SequenceNumber32 NextRxSequence() const;
     /**
-     * \brief Get the lowest sequence number that this TcpRxBuffer cannot accept
-     * \returns the lowest sequence number that this TcpRxBuffer cannot accept
+     * @brief Get the lowest sequence number that this TcpRxBuffer cannot accept
+     * @returns the lowest sequence number that this TcpRxBuffer cannot accept
      */
     SequenceNumber32 MaxRxSequence() const;
     /**
-     * \brief Increment the Next Sequence number
+     * @brief Increment the Next Sequence number
      */
     void IncNextRxSequence();
     /**
-     * \brief Set the Next Sequence number
-     * \param s the Sequence number
+     * @brief Set the Next Sequence number
+     * @param s the Sequence number
      */
     void SetNextRxSequence(const SequenceNumber32& s);
     /**
-     * \brief Set the FIN Sequence number (i.e., the one closing the connection)
-     * \param s the Sequence number
+     * @brief Set the FIN Sequence number (i.e., the one closing the connection)
+     * @param s the Sequence number
      */
     void SetFinSequence(const SequenceNumber32& s);
     /**
-     * \brief Get the Maximum buffer size
-     * \returns the Maximum buffer size
+     * @brief Get the Maximum buffer size
+     * @returns the Maximum buffer size
      */
     uint32_t MaxBufferSize() const;
     /**
-     * \brief Set the Maximum buffer size
-     * \param s the Maximum buffer size
+     * @brief Set the Maximum buffer size
+     * @param s the Maximum buffer size
      */
     void SetMaxBufferSize(uint32_t s);
     /**
-     * \brief Get the actual buffer occupancy
-     * \returns buffer occupancy (in bytes)
+     * @brief Get the actual buffer occupancy
+     * @returns buffer occupancy (in bytes)
      */
     uint32_t Size() const;
     /**
-     * \brief Get the actual number of bytes available to be read
-     * \returns size of available data (in bytes)
+     * @brief Get the actual number of bytes available to be read
+     * @returns size of available data (in bytes)
      */
     uint32_t Available() const;
     /**
-     * \brief Check if the buffer did receive all the data (and the connection is closed)
-     * \returns true if all data have been received
+     * @brief Check if the buffer did receive all the data (and the connection is closed)
+     * @returns true if all data have been received
      */
     bool Finished();
 
@@ -134,9 +134,9 @@
      * removing data from the buffer that overlaps the tail of the inputted
      * packet
      *
-     * \param p packet
-     * \param tcph packet's TCP header
-     * \return True when success, false otherwise.
+     * @param p packet
+     * @param tcph packet's TCP header
+     * @return True when success, false otherwise.
      */
     bool Add(Ptr<Packet> p, const TcpHeader& tcph);
 
@@ -144,31 +144,31 @@
      * Extract data from the head of the buffer as indicated by nextRxSeq.
      * The extracted data is going to be forwarded to the application.
      *
-     * \param maxSize maximum number of bytes to extract
-     * \returns a packet
+     * @param maxSize maximum number of bytes to extract
+     * @returns a packet
      */
     Ptr<Packet> Extract(uint32_t maxSize);
 
     /**
-     * \brief Get the sack list
+     * @brief Get the sack list
      *
      * The sack list can be empty, and it is updated each time Add or Extract
      * are called through the private method UpdateSackList.
      *
-     * \return a list of isolated blocks
+     * @return a list of isolated blocks
      */
     TcpOptionSack::SackList GetSackList() const;
 
     /**
-     * \brief Get the size of Sack list
+     * @brief Get the size of Sack list
      *
-     * \return the size of the sack block list; can be empty
+     * @return the size of the sack block list; can be empty
      */
     uint32_t GetSackListSize() const;
 
     /**
-     * \brief Says if a FIN bit has been received
-     * \return true if we received a FIN bit
+     * @brief Says if a FIN bit has been received
+     * @return true if we received a FIN bit
      */
     bool GotFin() const
     {
@@ -177,7 +177,7 @@
 
   private:
     /**
-     * \brief Update the sack list, with the block seq starting at the beginning
+     * @brief Update the sack list, with the block seq starting at the beginning
      *
      * Note: the maximum size of the block list is 4. Caller is free to
      * drop blocks at the end to accommodate header size; from RFC 2018:
@@ -191,13 +191,13 @@
      * (or other) options, it is even less. For more detail about this function,
      * please see the source code and in-line comments.
      *
-     * \param head sequence number of the block at the beginning
-     * \param tail sequence number of the block at the end
+     * @param head sequence number of the block at the beginning
+     * @param tail sequence number of the block at the end
      */
     void UpdateSackList(const SequenceNumber32& head, const SequenceNumber32& tail);
 
     /**
-     * \brief Remove old blocks from the sack list
+     * @brief Remove old blocks from the sack list
      *
      * Used to remove blocks already delivered to the application.
      *
@@ -205,7 +205,7 @@
      * sequence numbers greater than seq; it is perfectly safe to call this
      * function with an empty sack list.
      *
-     * \param seq Last sequence to remove
+     * @param seq Last sequence to remove
      */
     void ClearSackList(const SequenceNumber32& seq);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-scalable.h ns-3.44/src/internet/model/tcp-scalable.h
--- ns-3.43/src/internet/model/tcp-scalable.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-scalable.h	2025-03-09 16:55:49.407371300 -0700
@@ -26,9 +26,9 @@
 class TcpSocketState;
 
 /**
- * \ingroup congestionOps
+ * @ingroup congestionOps
  *
- * \brief An implementation of TCP Scalable
+ * @brief An implementation of TCP Scalable
  *
  * Scalable improves TCP performance to better utilize the available bandwidth
  * of a highspeed wide area network by altering NewReno congestion window
@@ -54,8 +54,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -65,8 +65,8 @@
     TcpScalable();
 
     /**
-     * \brief Copy constructor
-     * \param sock the object to copy
+     * @brief Copy constructor
+     * @param sock the object to copy
      */
     TcpScalable(const TcpScalable& sock);
     ~TcpScalable() override;
@@ -74,12 +74,12 @@
     std::string GetName() const override;
 
     /**
-     * \brief Get slow start threshold following Scalable principle (Equation 2)
+     * @brief Get slow start threshold following Scalable principle (Equation 2)
      *
-     * \param tcb internal congestion state
-     * \param bytesInFlight bytes in flight
+     * @param tcb internal congestion state
+     * @param bytesInFlight bytes in flight
      *
-     * \return the slow start threshold value
+     * @return the slow start threshold value
      */
     uint32_t GetSsThresh(Ptr<const TcpSocketState> tcb, uint32_t bytesInFlight) override;
 
@@ -87,10 +87,10 @@
 
   protected:
     /**
-     * \brief Congestion avoidance of TcpScalable (Equation 1)
+     * @brief Congestion avoidance of TcpScalable (Equation 1)
      *
-     * \param tcb internal congestion state
-     * \param segmentsAcked count of segments acked
+     * @param tcb internal congestion state
+     * @param segmentsAcked count of segments acked
      */
     void CongestionAvoidance(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked) override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-socket-base.cc ns-3.44/src/internet/model/tcp-socket-base.cc
--- ns-3.43/src/internet/model/tcp-socket-base.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-socket-base.cc	2025-03-09 16:55:49.407371300 -0700
@@ -58,7 +58,7 @@
 {
 
 /**
- * \brief map TcpPacketType and EcnMode to boolean value to check whether ECN-marking is allowed or
+ * @brief map TcpPacketType and EcnMode to boolean value to check whether ECN-marking is allowed or
  * not
  */
 const std::map<std::pair<ns3::TcpSocketBase::TcpPacketType_t, ns3::TcpSocketState::EcnMode_t>, bool>
@@ -142,7 +142,7 @@
             .AddAttribute(
                 "MinRto",
                 "Minimum retransmit timeout value",
-                TimeValue(Seconds(1.0)), // RFC 6298 says min RTO=1 sec, but Linux uses 200ms.
+                TimeValue(Seconds(1)), // RFC 6298 says min RTO=1 sec, but Linux uses 200ms.
                 // See http://www.postel.org/pipermail/end2end-interest/2004-November/004402.html
                 MakeTimeAccessor(&TcpSocketBase::SetMinRto, &TcpSocketBase::GetMinRto),
                 MakeTimeChecker())
@@ -808,7 +808,7 @@
 TcpSocketBase::Close()
 {
     NS_LOG_FUNCTION(this);
-    /// \internal
+    /// @internal
     /// First we check to see if there is any unread rx data.
     /// \bugid{426} claims we should send reset in this case.
     if (m_tcb->m_rxBuffer->Size() != 0)
@@ -1553,7 +1553,7 @@
             NS_LOG_WARN("Ignored ack of " << tcpHeader.GetAckNumber()
                                           << " HighTxMark = " << m_tcb->m_highTxMark);
 
-            // Receiver sets ECE flags when it receives a packet with CE bit on or sender hasn’t
+            // Receiver sets ECE flags when it receives a packet with CE bit on or sender hasn't
             // responded to ECN echo sent by receiver
             if (m_tcb->m_ecnState == TcpSocketState::ECN_CE_RCVD ||
                 m_tcb->m_ecnState == TcpSocketState::ECN_SENDING_ECE)
